import { GraphQLOutputType, FieldNode, GraphQLObjectType, GraphQLSchema, ValueNode, NameNode, GraphQLResolveInfo } from 'graphql';
export declare const getArgumentsPlusDefaults: (parentTypeName: string, field: FieldNode, schema: GraphQLSchema, variables: {
    [name: string]: any;
}) => {
    [name: string]: any;
};
export declare const argFieldsToValues: (providedValues: {
    [key: string]: any;
}, fields: readonly {
    value: ValueNode;
    name: NameNode;
}[], variables: {
    [variableName: string]: any;
}) => {
    [key: string]: any;
};
export declare const valueNodeToValue: (valueNode: ValueNode, variables: {
    [variableName: string]: any;
}) => any;
export declare const isListOrWrappedListType: (type: GraphQLOutputType) => boolean;
export declare const getNameOrAlias: (field: FieldNode) => string;
export declare const extractObjectType: (type: GraphQLOutputType) => GraphQLObjectType<any, any, any> | null;
export declare const getIsRootField: (info: GraphQLResolveInfo) => boolean;
/**
 * Converts a path from `info` into a field path, skipping over
 * array indices (since they are not represented in the schema
 * field selection paths)
 */
export declare function getFieldPath(info: GraphQLResolveInfo): string[];
