export declare const createFieldArgGetter: (fieldName: string) => (argPath: string) => string;
/**
 * Creates a function which replaces all "$arg.foo.bar" with the real
 * argument string
 */
export declare const createArgReplacer: (argGetter: (name: string) => any) => (str: string) => string;
export declare const createAllReplacer: ({ fieldName, parentName, }: {
    fieldName: string;
    parentName: string;
}) => (text: string) => string;
